#!/usr/bin/perl

use strict;

my $testCommand = $ARGV[0];

#
# Command Utilities
#

sub createCommandChecksum
{
    my $command = shift;

    my @commandAsciis = unpack("C*", $command);

    my $checksum = 0;

    foreach my $commandAscii (@commandAsciis)
    {
        $checksum += $commandAscii;
    }

    $checksum = $checksum & 0xFF;

    my $hexChecksum = sprintf("%.2X", $checksum);

    return $hexChecksum;
}

sub createCommand
{
    my $commandId = shift;
    my $commandData = shift;

    my $command = $commandId.$commandData;

    return $command.createCommandChecksum($command);
}

#
# Main
#

print createCommand($testCommand)."\n";

